<?xml version="1.0" encoding="utf-8"?>
<layout>
    <data/>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
                                             xmlns:app="http://schemas.android.com/apk/res-auto"
                                             android:minWidth="360dp"
                                             android:layout_width="match_parent"
                                             android:layout_height="match_parent">

    <Button
            android:text="@string/button_create"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            style="@style/PrimaryFlatButton"
            android:enabled="false"
            android:id="@+id/buttonCreate" app:layout_constraintEnd_toEndOf="parent" android:layout_marginEnd="8dp"
            android:layout_marginTop="8dp" app:layout_constraintTop_toBottomOf="@+id/fragmentHolder"
            app:layout_constraintBottom_toBottomOf="parent" android:layout_marginBottom="8dp"/>
    <TextView
            android:text="@string/new_record_header"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/textView4" android:layout_marginTop="24dp"
            android:textAppearance="@style/TextAppearance.AppCompat.Headline"
            app:layout_constraintTop_toTopOf="parent" app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp"/>
    <TextView
            android:text="@string/new_record_header_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/textView6"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp" android:layout_marginTop="24dp"
            app:layout_constraintTop_toBottomOf="@+id/textView4"
    />
    <RadioGroup
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintStart_toStartOf="parent" android:layout_marginStart="24dp"
            android:id="@+id/radioGroup"
            android:orientation="horizontal"
            android:checkedButton="@id/radioButtonOutgoing"
            android:layout_marginTop="8dp" app:layout_constraintTop_toBottomOf="@+id/textView6">
        <RadioButton
                android:text="@string/new_record_type_income"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" android:id="@+id/radioButtonIncome" android:layout_weight="1"/>
        <RadioButton
                android:text="@string/new_record_type_outgoing"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" android:id="@+id/radioButtonOutgoing" android:layout_weight="1"/>
    </RadioGroup>
    <TextView
            android:text="@string/new_record_header_choose_category"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/textView7"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp"
            app:layout_constraintTop_toBottomOf="@+id/descriptionInputHolder"/>
    <FrameLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:id="@+id/fragmentHolder" android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@+id/textView7" app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp" app:layout_constraintEnd_toEndOf="parent" android:layout_marginEnd="24dp">

    </FrameLayout>
    <Button
            android:text="@string/button_cancel"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            style="@style/PrimaryFlatButton"
            android:id="@+id/buttonCancel" app:layout_constraintEnd_toStartOf="@+id/buttonCreate"
            android:layout_marginEnd="8dp"
            android:layout_marginTop="8dp" app:layout_constraintTop_toBottomOf="@+id/fragmentHolder"/>

    <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/amountInputHolder"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@+id/radioGroup"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp" app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginEnd="24dp">
        <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/amountInput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="numberDecimal"
                android:ems="10"
                android:hint="@string/new_record_hint_amount" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/descriptionInputHolder"
            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            app:layout_constraintTop_toBottomOf="@+id/amountInputHolder" app:layout_constraintStart_toStartOf="parent"
            android:layout_marginStart="24dp" app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginEnd="24dp">
        <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/descriptionInput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textAutoCorrect"
                android:ems="10"
                android:hint="Weitere Informationen (optional)" />
    </com.google.android.material.textfield.TextInputLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
</layout>